[问题]关于chm的问题

为当前最终发行版之前的所有版本提供支持
cloudfoam
帖子: 13
注册时间: 2005-11-03 22:35
送出感谢: 0
接收感谢: 0

[问题]关于chm的问题

#1

帖子 cloudfoam » 2005-11-10 18:07

昨天装好ubuntu后下了个30m左右的chm文档

使用命令:apt-get install xchm

安装好xchm,出现乱码现象,

更新中文字体:apt-get install ttf-arphic-ukai ttf-arphic-uming
后显示英文正常,但中文还是不行

求助,怎么才能好好的显示中文?或是安装别的什么软件?
还有怎么卸载这个xchm?
cloudfoam
帖子: 13
注册时间: 2005-11-03 22:35
送出感谢: 0
接收感谢: 0

#2

帖子 cloudfoam » 2005-11-10 18:33

图1为正常显示英文的xchm
图2为非正常显示中文的xchm
附件
Screenshot-1.png
图1
Screenshot.png
图2
头像
内存不足
论坛版主
帖子: 3277
注册时间: 2005-08-18 18:43
送出感谢: 0
接收感谢: 1 次
联系:

#3

帖子 内存不足 » 2005-11-10 18:41

我只看到图中的中文编码是GB2312。你的系统是UTF-8的吧。可能跟我用skype接受中文文件乱码是一个道理。嘿嘿
໌→ iCookie Gtk Theme
໌→DropPlusBluetheme
กรัก กรัก`菠萝
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#4

帖子 eexpress » 2005-11-10 18:55

安装chmsee。新利得卸载安装。
● 鸣学
hscui
帖子: 169
注册时间: 2005-09-21 16:26
送出感谢: 0
接收感谢: 0

#5

帖子 hscui » 2005-11-10 20:09

我记得有一个软件可以转换CHM成HTML的,这个应该是终极解决办法了,而且效果应该不错。但是我忘记叫什么名字了。
头像
snonow
帖子: 251
注册时间: 2005-09-08 9:01
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 snonow » 2005-11-10 20:48

how to install chmsee
BenQ P41-C30
\找不到64位软件已经是历史了
头像
max0000
帖子: 310
注册时间: 2005-04-08 14:54
送出感谢: 0
接收感谢: 0

#7

帖子 max0000 » 2005-11-10 21:08

eexpress 写了:安装chmsee。新利得卸载安装。


chmsee在breezy上有依赖问题,无法安装,也无法编译。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#8

帖子 eexpress » 2005-11-10 22:15

我的是升级过来的。0.8.0,不记得是否更新了。看了,可以执行。只是竟然自己没有一个chm文件。
● 鸣学
头像
max0000
帖子: 310
注册时间: 2005-04-08 14:54
送出感谢: 0
接收感谢: 0

#9

帖子 max0000 » 2005-11-11 9:12

eexpress 写了:我的是升级过来的。0.8.0,不记得是否更新了。看了,可以执行。只是竟然自己没有一个chm文件。

我的也升级带过来过,但是运行不了。
它要求的libgtkhtml是3.2,但是breezy的是3.8.
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#10

帖子 eexpress » 2005-11-11 10:26

总不会要求=3.2吧。通常大于才不会有问题。
● 鸣学
头像
max0000
帖子: 310
注册时间: 2005-04-08 14:54
送出感谢: 0
接收感谢: 0

#11

帖子 max0000 » 2005-11-11 14:22

eexpress 写了:总不会要求=3.2吧。通常大于才不会有问题。

差不多吧!不行。你有时间试试编译一个给大家用吧?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#12

帖子 eexpress » 2005-11-11 14:26

你dpkg -s chmsee看看。依赖在下面列出来了。
● 鸣学
头像
oneleaf
论坛管理员
帖子: 10212
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 100 次

#13

帖子 oneleaf » 2005-11-11 14:53

我一般不看CHM,必须时使用这个反编译:

hh -decompile C:\TRADWXP\BASEFR\HTML ACC_DIS.CHM
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#14

帖子 eexpress » 2005-11-11 14:59

hh不是win的吗
● 鸣学
头像
freeflying
论坛版主
帖子: 521
注册时间: 2005-03-26 9:38
送出感谢: 0
接收感谢: 0

#15

帖子 freeflying » 2005-11-11 15:02

用这个吧,基于QT的,不用安装kdelibs的。
附件
kchmviewer_1.1-1ubuntu_i386.deb.tar.gz
wothout kde support
(121.94 KiB) 下载 25 次
回复

回到 “老旧版本支持”